#form__site-search,
#header-desktop__search-panel,
#mobile-panel--search {
  display: flex;
  align-items: stretch;
  width: 100%;
  flex-direction: column;
  grid-row-gap: 20px;
  row-gap: 20px;
}
#form__site-search .search-type__search-form,
#header-desktop__search-panel .search-type__search-form,
#mobile-panel--search .search-type__search-form {
  display: flex;
  flex: none;
}
#form__site-search .search-type__search-form__select,
#header-desktop__search-panel .search-type__search-form__select,
#mobile-panel--search .search-type__search-form__select {
  background-color: #51832f;
  background-repeat: no-repeat;
  background-position: right 20px center;
  background-image: url("/themes/custom/richland/images/icons/down.svg");
  border: 0;
  width: 12em;
  color: white;
  font-weight: 700;
  font-size: 1rem;
  font-weight: 700;
  line-height: 1.375;
  padding: 12px 48px 12px 20px;
  width: 100%;
}
#form__site-search .search-type__search-form__select.focus-visible,
#header-desktop__search-panel .search-type__search-form__select.focus-visible,
#mobile-panel--search .search-type__search-form__select.focus-visible {
  outline-width: 3px;
  outline-style: dashed;
  outline-color: #008db1;
  outline-color: rgba(0, 141, 177, 0.6);
}
#form__site-search .search-type__search-form__select:focus-visible,
#header-desktop__search-panel .search-type__search-form__select:focus-visible,
#mobile-panel--search .search-type__search-form__select:focus-visible {
  outline-width: 3px;
  outline-style: dashed;
  outline-color: #008db1;
  outline-color: rgba(0, 141, 177, 0.6);
}
#form__site-search .search-bar__form,
#header-desktop__search-panel .search-bar__form,
#mobile-panel--search .search-bar__form {
  display: flex;
  align-items: stretch;
  flex-wrap: wrap;
  border: 1px solid #4C4D4F;
  position: relative;
  flex: auto;
  justify-content: stretch;
}
#form__site-search .search-bar__form :focus,
#header-desktop__search-panel .search-bar__form :focus,
#mobile-panel--search .search-bar__form :focus {
  z-index: 1;
}
#form__site-search form,
#header-desktop__search-panel form,
#mobile-panel--search form {
  flex: auto;
}
#form__site-search .filters__inputs-inner,
#header-desktop__search-panel .filters__inputs-inner,
#mobile-panel--search .filters__inputs-inner {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  margin: 0 auto;
  align-items: stretch;
  grid-gap: 0;
  gap: 0;
  flex: auto;
}
#form__site-search .keyword-filter,
#header-desktop__search-panel .keyword-filter,
#mobile-panel--search .keyword-filter {
  flex: auto;
  margin: 0;
  align-self: unset;
  display: block;
}
#form__site-search .search-bar__input,
#header-desktop__search-panel .search-bar__input,
#mobile-panel--search .search-bar__input {
  margin: auto;
  border: 0;
  flex-grow: 1;
  font-size: 0.8rem;
  line-height: 1.375;
  width: 100%;
  height: 100%;
  padding: 12px;
  border: 0;
  position: relative;
  text-overflow: ellipsis;
}
#form__site-search .search-bar__input:before, #form__site-search .search-bar__input:after,
#header-desktop__search-panel .search-bar__input:before,
#header-desktop__search-panel .search-bar__input:after,
#mobile-panel--search .search-bar__input:before,
#mobile-panel--search .search-bar__input:after {
  content: none;
}
#form__site-search .search-bar__input::-moz-placeholder, #header-desktop__search-panel .search-bar__input::-moz-placeholder, #mobile-panel--search .search-bar__input::-moz-placeholder {
  color: #4c4d4f;
  font-weight: normal;
  opacity: 1;
  font-style: italic;
  text-overflow: ellipsis;
}
#form__site-search .search-bar__input::placeholder,
#header-desktop__search-panel .search-bar__input::placeholder,
#mobile-panel--search .search-bar__input::placeholder {
  color: #4c4d4f;
  font-weight: normal;
  opacity: 1;
  font-style: italic;
  text-overflow: ellipsis;
}
#form__site-search .autocompleter-show,
#header-desktop__search-panel .autocompleter-show,
#mobile-panel--search .autocompleter-show {
  top: 100%;
  left: 0;
}
#form__site-search .form-actions,
#header-desktop__search-panel .form-actions,
#mobile-panel--search .form-actions {
  flex: none;
  width: auto;
  align-self: unset;
}
#form__site-search .search-bar__submit,
#header-desktop__search-panel .search-bar__submit,
#mobile-panel--search .search-bar__submit {
  color: #51832F;
  background-color: #fff;
  background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2216%22%20fill%3D%22none%22%3E%3Cg%20clip-path%3D%22url%28%23clip0_2585_11998%29%22%3E%3Cpath%20fill%3D%22%2351832F%22%20d%3D%22M15.781%2013.844c.125.156.219.344.219.531a.754.754%200%200%201-.219.531l-.875.875a.732.732%200%200%201-.531.219c-.219%200-.406-.063-.531-.219l-3.125-3.125c-.156-.125-.219-.312-.219-.531v-.5C9.312%2012.563%208%2013%206.5%2013c-1.188%200-2.281-.281-3.281-.875A6.035%206.035%200%200%201%20.875%209.781C.281%208.781%200%207.687%200%206.5c0-1.188.281-2.25.875-3.25.563-1%201.344-1.781%202.344-2.375C4.219.312%205.313%200%206.5%200c1.188%200%202.25.313%203.25.875a6.653%206.653%200%200%201%202.375%202.375c.563%201%20.875%202.063.875%203.25%200%201.5-.469%202.844-1.375%204h.5c.188%200%20.375.094.531.219l3.125%203.125ZM6.5%2010.5c.719%200%201.375-.156%202-.531.625-.344%201.094-.813%201.469-1.438A4.102%204.102%200%200%200%2010.5%206.5a4.08%204.08%200%200%200-.531-2A4.134%204.134%200%200%200%208.5%203.031a4.073%204.073%200%200%200-2-.531%204.11%204.11%200%200%200-2.031.531c-.625.375-1.094.844-1.438%201.469-.375.625-.531%201.281-.531%202%200%20.75.156%201.406.531%202.031A3.538%203.538%200%200%200%204.47%209.97c.625.375%201.281.531%202.031.531Z%22%2F%3E%3C%2Fg%3E%3Cdefs%3E%3CclipPath%20id%3D%22clip0_2585_11998%22%3E%3Cpath%20fill%3D%22%23fff%22%20d%3D%22M0%200h16v16H0z%22%2F%3E%3C%2FclipPath%3E%3C%2Fdefs%3E%3C%2Fsvg%3E");
  background-repeat: no-repeat;
  background-position: right 12px center;
  order: 2;
  flex-grow: 0;
  margin: 0;
  padding: 12px 40px 12px 12px;
  width: auto;
  height: auto;
}
#form__site-search .search-bar__submit:hover, #form__site-search .search-bar__submit:focus, #form__site-search .search-bar__submit:active,
#header-desktop__search-panel .search-bar__submit:hover,
#header-desktop__search-panel .search-bar__submit:focus,
#header-desktop__search-panel .search-bar__submit:active,
#mobile-panel--search .search-bar__submit:hover,
#mobile-panel--search .search-bar__submit:focus,
#mobile-panel--search .search-bar__submit:active {
  background-color: #ECEFF2;
}
#form__site-search .search-bar__type,
#header-desktop__search-panel .search-bar__type,
#mobile-panel--search .search-bar__type {
  --space-gap: 20px;
  display: block;
  order: 3;
  border: 0;
  border-top: 1px solid #007E9E;
  background: #fff;
  margin: 0;
  padding: var(--space-gap);
  width: 100%;
}
@media (min-width: 48rem) {
  #form__site-search,
  #header-desktop__search-panel,
  #mobile-panel--search {
    flex-direction: row;
  }
}

#header-desktop__search-panel .search-bar__form-wrapper {
  display: flex;
}
#header-desktop__search-panel .search-bar__form {
  flex-wrap: nowrap;
}
#header-desktop__search-panel .form__site-search {
  width: auto;
  flex: none;
}
#header-desktop__search-panel .search-bar__input {
  height: auto;
}

#mobile-panel--search .search-bar {
  width: 100%;
}
#mobile-panel--search .search-bar__form-wrapper {
  display: flex;
  flex-direction: column;
}
#mobile-panel--search .search-bar__form {
  flex-wrap: nowrap;
  background-color: #fff;
  grid-gap: 0;
  gap: 0;
  flex-direction: row;
  width: 100%;
}
#mobile-panel--search .form__site-search {
  width: auto;
  flex: none;
}
#mobile-panel--search .search-bar__input {
  padding-top: 14px;
  padding-bottom: 14px;
  box-sizing: border-box;
  text-overflow: ellipsis;
}
@media (min-width: 48rem) {
  #mobile-panel--search .search-bar__form-wrapper {
    flex-direction: row;
  }
}

.search-type__search-form .c-select-a11y {
  --input-color-background: #51832f;
  --input-color-text: #fff;
  --input-color-border: #51832f;
  --input-font-family: $ff-sans;
  --input-space-inset-y: 0.8rem;
  --input-space-inset-x: 1rem;
  --input-leading: 1.375;
  --input-font-weight: 700;
  --icon-down: url("/themes/custom/richland/images/icons/down.svg");
  --icon-up: url("/themes/custom/richland/images/icons/down.svg");
  --input-color-background-hover: #487029;
  --input-color-border-hover: #487029;
  width: 100%;
}
@media (min-width: 48rem) {
  .search-type__search-form .c-select-a11y {
    --input-space-inset-y: 0.75rem;
    --input-space-inset-x: 1.25rem;
  }
}
.search-type__search-form .c-select-a11y .c-select-a11y__button {
  padding-right: var(--input-space-inset-x);
  align-items: center;
  letter-spacing: normal;
  height: 100%;
  font-size: 0.8rem;
}
@media (min-width: 48rem) {
  .search-type__search-form .c-select-a11y .c-select-a11y__button {
    font-size: 1rem;
  }
}
.search-type__search-form .c-select-a11y .c-select-a11y__button:focus, .search-type__search-form .c-select-a11y .c-select-a11y__button.focus-visible {
  outline-offset: -2px;
}
.search-type__search-form .c-select-a11y .c-select-a11y__button:focus, .search-type__search-form .c-select-a11y .c-select-a11y__button:focus-visible {
  outline-offset: -2px;
}
.search-type__search-form .c-select-a11y .c-select-a11y__button[aria-expanded=true] .c-select-a11y__icon--select {
  transform: rotateZ(180deg);
}
.search-type__search-form .c-select-a11y .c-select-a11y__value {
  margin-right: 0.5em;
}

.search-type__search-form .c-select-a11y__container {
  --input-color-background: #4c4d4f;
  --option-color-background: #4c4d4f;
  --option-color-text: #fff;
  width: 100%;
  padding: 0;
  overflow: visible;
}
.search-type__search-form .c-select-a11y__container .c-select-a11y__group {
  font-size: 0.8rem;
  font-weight: 700;
}
@media (min-width: 48rem) {
  .search-type__search-form .c-select-a11y__container .c-select-a11y__group {
    font-size: 1rem;
  }
}
.search-type__search-form .c-select-a11y__container .c-select-a11y__suggestion {
  padding: var(--input-space-inset-y) var(--input-space-inset-x);
}
.search-type__search-form .c-select-a11y__container .c-select-a11y__suggestion:focus {
  color: #fff;
  background-color: var(--option-color-background);
  outline-offset: -2px;
}
.search-type__search-form .c-select-a11y__container .c-select-a11y__suggestion:hover, .search-type__search-form .c-select-a11y__container .c-select-a11y__suggestion.focus-visible {
  color: #fff;
  background-color: #261f26;
  outline-offset: -2px;
}
.search-type__search-form .c-select-a11y__container .c-select-a11y__suggestion:hover, .search-type__search-form .c-select-a11y__container .c-select-a11y__suggestion:focus-visible {
  color: #fff;
  background-color: #261f26;
  outline-offset: -2px;
}
.search-type__search-form .c-select-a11y__container .c-select-a11y__suggestion[aria-selected=true] {
  display: none;
}